PDA

Visualizza la versione completa : [ArchLinux] problemi con Apache


alkat
21-08-2006, 16:39
Ciao,
ho installato Apache su Archlinux ma non riesco ad avviarlo. Ho cercato un po' in rete ma non ho trovato molto:
- questo sembrava avesse il mio stesso problema, ma le soluzioni proposte sembrano non funzionare: http://www.linuxquestions.org/questions/t280677.html
- questo how-to č assolutamente inutile: http://wiki.archlinuxfr.org/doku.php?id=apache_php_mysql

Magari voi mi sapete aiutare?

All'inizio ho provato a vedere cosa mi diceva con:

[root@archlinux ale]# apachectl graceful
httpd: apr_sockaddr_info_get() failed for archlinux
httpd: Could not reliably determine the server's fully qualified domain name, using 127.0.0.1 for ServerName
httpd not running, trying to start


E quindi ho corretto ServerName nel file httpd.conf in questo modo:
ServerName 127.0.0.1

Ora perņ continua a non funzionare:

[root@archlinux ale]# apachectl graceful
httpd not running, trying to start


E nei log leggo:

[Mon Aug 21 16:33:40 2006] [warn] Init: Session Cache is not configured [hint: SSLSessionCache]
[Mon Aug 21 16:33:40 2006] [notice] suEXEC mechanism enabled (wrapper: /usr/bin/suexec)
[Mon Aug 21 16:33:40 2006] [alert] (EAI 2)Name or service not known: mod_unique_id: unable to find IPv4 address of "archlinux"
Configuration Failed


.a.

vortex87
21-08-2006, 17:33
Disabilita nel file di configurazione il modulo "mod_unique_id" e poi avvialo con "/etc/rc.d/httpd start"

alkat
21-08-2006, 17:47
Originariamente inviato da vortex87
Disabilita nel file di configurazione il modulo "mod_unique_id" e poi avvialo con "/etc/rc.d/httpd start"

Grazie. Ora funziona ma non mi funziona un sito locale in PHP... Puņ dipendere dal fatto che prima usavo Apache 2.0 con PHP4 e ora invece ho PHP5? Altrimenti come si spiega che invece di visualizzare correttamente la pagina, mi visualizza il codice?

Ho provato con la classica pagina contenente:
<?php
phpinfo();
?>
e mi visualizza correttamente tutte le informazioni su PHP5.

.a.

Loading